On Tue, May 18, 2010 at 12:33:06PM +0000, Gerrit Pape wrote:
> On Tue, May 18, 2010 at 01:39:45PM +0300, Niko Tyni wrote:
> > Thie mapserver package fails to build on current sid/amd64:

> > ./configure: 12177: Bad substitution
> > make: *** [configure-stamp] Error 2
> > 
> > It breaks here when dash is upgraded from to
> > Cc'ing the dash maintainers in case they want want to look into it.
> Hi, there's a non-portable Parameter Expansion used in line 12162 of
> ./configure that's not defined in posix
>   if test "$FRIBIDI_PKG_CONFIG" = "yes" -o ${FRIBIDI_CONFIG: -3} = ".pc" ; 
> then
> I don't think dash handles that either, maybe bash was used in
> that case.

Tracing this a bit, I see the LINENO support introduced in dash
for #540685 makes configure think it's already running on a good enough
shell. On it just does an 'exec bash ./configure'.

The above non-portable part comes from configure.in, so this is really
a bug in mapserver for using bashisms.

One workaround is to explicitly call 'bash ./configure' from debian/rules.
Niko Tyni   nt...@debian.org

Pkg-grass-devel mailing list

Reply via email to